/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.groupbuy.comment.enums;


import lombok.Getter;

/**
 * 拼团活动商品状态类型
 */
@Getter
public enum GroupProdStatusEnum {

    /**
     * 正常
     */
    NORMAL(1, "正常"),

    /**
     * 已失效
     */
    EXPIRED(2, "已失效"),

    /**
     * 已结束
     */
    DELETE(-1, "已删除"),
    ;

    private Integer code;

    private String title;

    public Integer value() {
        return code;
    }

    GroupProdStatusEnum(Integer code, String title) {
        this.code = code;
        this.title = title;
    }
}
